package com.kingdee.eas.custom.notify;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import java.lang.String;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.notify.app.*;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;

public class SendContext extends DataBase implements ISendContext
{
    public SendContext()
    {
        super();
        registerInterface(ISendContext.class, this);
    }
    public SendContext(Context ctx)
    {
        super(ctx);
        registerInterface(ISendContext.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6D9DA5ED");
    }
    private SendContextController getController() throws BOSException
    {
        return (SendContextController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public SendContextInfo getSendContextInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSendContextInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public SendContextInfo getSendContextInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSendContextInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public SendContextInfo getSendContextInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSendContextInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public SendContextCollection getSendContextCollection() throws BOSException
    {
        try {
            return getController().getSendContextCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public SendContextCollection getSendContextCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSendContextCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public SendContextCollection getSendContextCollection(String oql) throws BOSException
    {
        try {
            return getController().getSendContextCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}